-- Moose Lessons GCI/CAP

local DetectionSetGroup = SET_GROUP:New()
DetectionSetGroup:FilterPrefixes( { "REWR" } )
DetectionSetGroup:FilterStart()

local DetectionRed = DETECTION_AREAS:New( DetectionSetGroup, 15000 )

-- create an A2A Dispatcher
A2ADispatcherRed = AI_A2A_DISPATCHER:New( DetectionRed )

A2ADispatcherRed:SetTacticalDisplay( false )

-- create a Border
RedBorderZone = ZONE_POLYGON:New( "ADIZ", GROUP:FindByName( "ADIZ" ) )
A2ADispatcherRed:SetBorderZone( RedBorderZone )

-- Dispatcher defaults
A2ADispatcherRed:SetDefaultTakeoffInAir()
A2ADispatcherRed:SetDefaultLandingNearAirbase()
A2ADispatcherRed:SetDefaultGrouping(2)
A2ADispatcherRed:SetDefaultOverhead(0.5)
A2ADispatcherRed:SetDefaultDamageThreshold( 0.50 )

-- Define SQN's for CGI CAP
A2ADispatcherRed:SetSquadron( "Domna", "Sochi-Adler", { "SQ-MiG29-CAP", "SQ-MiG29-CAP-1" }, 8 )--MiG29
A2ADispatcherRed:SetSquadron( "Beslan AD", "Beslan", { "BES-MiG29-CAP", "BES-MiG29-CAP-1" }, 14 )--MiG29
A2ADispatcherRed:SetSquadron( "Beslan GCI", "Beslan", { "BES-MiG31-GCI", "BES-MiG31-GCI-1" }, 14 )--MiG31
A2ADispatcherRed:SetSquadron( "279th", "Gelendzhik", { "SU33-GCI", "SU33-GCI-1" }, 12 )--SU33
A2ADispatcherRed:SetSquadron( "GEL AD", "Gelendzhik", { "GEL-MiG31-CAP", "GEL-MiG31-CAP-1" }, 12 )--MiG31
A2ADispatcherRed:SetSquadron( "Nalchik AD", "Nalchik", { "NAL-MiG29-CAP", "NAL-MiG29-CAP-1" }, 14 )--MiG29
A2ADispatcherRed:SetSquadron( "Nalchik GCI", "Nalchik", { "NAL-MiG31-GCI", "NAL-MiG31-GCI-1" }, 14 )--MiG31
A2ADispatcherRed:SetSquadron( "Anapa AD", "Anapa-Vityazevo", { "SQ-MiG29-CAP", "SQ-MiG29-CAP-1" }, 14 )--MiG29

--Set Fuel Tanker
A2ADispatcherRed:SetDefaultFuelThreshold( 0.9 )
A2ADispatcherRed:SetDefaultTanker( "Tanker" )

-- Setup GCI
A2ADispatcherRed:SetSquadronGci( "Domna", 900, 1200 )
A2ADispatcherRed:SetSquadronGci( "279th", 900, 1200 )
A2ADispatcherRed:SetSquadronGci( "Beslan GCI", 900, 1200 )
A2ADispatcherRed:SetSquadronGci( "Nalchik GCI", 900, 1200 )

-- Setup CAP for Domna
A2ADispatcherRed:SetSquadronCap( "Domna", ZONE:New( "RCAPZone-1" ), 4000, 8000, 600, 800, 1000, 1300 )
A2ADispatcherRed:SetSquadronCapInterval( "Domna", 1, 30, 600, 1 )
A2ADispatcherRed:SetSquadronCapRacetrack( "Domna", 10000, 20000, 180, 240, 10*60, 15*60 )

A2ADispatcherRed:SetSquadronFuelThreshold( "Domna", 0.8 )
A2ADispatcherRed:SetSquadronTanker( "Domna", "Tanker Domna" )

-- Setup CAP for Beslan AD
A2ADispatcherRed:SetSquadronCap( "Beslan AD", ZONE:New( "RCAPZone-2" ), 4000, 8000, 600, 800, 1000, 1300 )
A2ADispatcherRed:SetSquadronCapInterval( "Beslan AD", 1, 30, 600, 1 )
A2ADispatcherRed:SetSquadronCapRacetrack( "Beslan AD", 10000, 20000, 180, 240, 10*60, 15*60 )

A2ADispatcherRed:SetSquadronFuelThreshold( "Beslan AD", 0.8 )
A2ADispatcherRed:SetSquadronTanker( "Beslan AD", "Tanker Beslan" )

-- Setup CAP for Nalchik AD
A2ADispatcherRed:SetSquadronCap( "Nalchik AD", ZONE:New( "RCAPZone-3" ), 4000, 8000, 600, 800, 1000, 1300 )
A2ADispatcherRed:SetSquadronCapInterval( "Nalchik AD", 1, 30, 600, 1 )
A2ADispatcherRed:SetSquadronCapRacetrack( "Nalchik AD", 10000, 20000, 180, 240, 10*60, 15*60 )

A2ADispatcherRed:SetSquadronFuelThreshold( "Nalchik AD", 0.8 )
A2ADispatcherRed:SetSquadronTanker( "Nalchik AD", "Tanker Nalchik" )

-- Setup CAP for Gel AD
A2ADispatcherRed:SetSquadronCap( "Gel AD", ZONE:New( "RCAPZone-4" ), 4000, 8000, 600, 800, 1000, 1300 )
A2ADispatcherRed:SetSquadronCapInterval( "Gel AD", 1, 30, 600, 1 )
A2ADispatcherRed:SetSquadronCapRacetrack( "Gel AD", 10000, 20000, 180, 240, 10*60, 15*60 )

A2ADispatcherRed:SetSquadronFuelThreshold( "Gel AD", 0.8 )
A2ADispatcherRed:SetSquadronTanker( "Gel AD", "Tanker Gel" )

-- Setup CAP for Anapa AD
A2ADispatcherRed:SetSquadronCap( "Anapa AD", ZONE:New( "RCAPZone-5" ), 4000, 8000, 600, 800, 1000, 1300 )
A2ADispatcherRed:SetSquadronCapInterval( "Anapa AD", 1, 30, 600, 1 )
A2ADispatcherRed:SetSquadronCapRacetrack( "Anapa AD", 10000, 20000, 180, 240, 10*60, 15*60 )

-- Start our Dispatcher
A2ADispatcherRed:Start()