--Define Skynet
redIADS = SkynetIADS:create('skynet')

redIADS:addSAMSitesByPrefix('SAM')
redIADS:addEarlyWarningRadarsByPrefix('EW')

---debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
--local iadsDebug = redIADS:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.radarWentDark = true
--iadsDebug.contacts = true
--iadsDebug.radarWentLive = true
--iadsDebug.noWorkingCommmandCenter = true
--iadsDebug.samNoConnection = true
--iadsDebug.jammerProbability = true
--iadsDebug.addedEWRadar = true
--iadsDebug.harmDefence = true
---end remove debug ---

--add a command center:
local commandCenter = StaticObject.getByName('Command-Center')
local comPowerSource = StaticObject.getByName("power-source-Command-Center-1")
redIADS:addCommandCenter(commandCenter):addPowerSource(comPowerSource)

local commandCenter1 = Unit.getByName('C2-CONVOY-1-7')
redIADS:addCommandCenter(commandCenter1)

---AWACs, manually. This could just as well be automated by adding an 'EW' prefix to the unit name:
redIADS:addEarlyWarningRadar('AWACS-Russia-1')
redIADS:addEarlyWarningRadar('AWACS-Russia-2')

--add a power source and a connection node for this EW radar:
local powerSource = StaticObject.getByName('power-source-Command-Center-1')
local connectionNodeEW = StaticObject.getByName('Connection-Node-SEC-1')
redIADS:getEarlyWarningRadarByUnitName('EW-KRAS-1'):addPowerSource(powerSource):addConnectionNode(connectionNodeEW)

local powerSource1 = StaticObject.getByName('power-source-MINE')
local connectionNodeEW1 = StaticObject.getByName('Connection-Node-SEC-2')
redIADS:getEarlyWarningRadarByUnitName('EW-MINE-1-1'):addPowerSource(powerSource1):addConnectionNode(connectionNodeEW1)

--add a connection node to this SA-10 site, and set the option for it to go dark, if it looses connection to the IADS:
local connectionNode = Unit.getByName('Connection-Node-SEC-1')
redIADS:getSAMSiteByGroupName('SAM-SA-10-KRAS-1'):addConnectionNode(connectionNode):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DARK)

local connectionNode1 = Unit.getByName('Connection-Node-SEC-1')
redIADS:getSAMSiteByGroupName('SAM-SA-10-ANAPA'):addConnectionNode(connectionNode1):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DARK)
redIADS:getSAMSiteByGroupName('SAM-SA-10-NOVO'):addConnectionNode(connectionNode1):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DARK)
redIADS:getSAMSiteByGroupName('SAM-SA-10-GEL'):addConnectionNode(connectionNode1):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DARK)
redIADS:getSAMSiteByGroupName('SAM-SA-10-MAY'):addConnectionNode(connectionNode1):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DARK)
redIADS:getSAMSiteByGroupName('SAM-SA-10-SOCH'):addConnectionNode(connectionNode1):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DARK)

local connectionNode2 = Unit.getByName('Connection-Node-SEC-2')
redIADS:getSAMSiteByGroupName('SAM-SA-10-MINE-1'):addConnectionNode(connectionNode2):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DARK)
redIADS:getSAMSiteByGroupName('SAM-SA-10-NAL'):addConnectionNode(connectionNode2):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DARK)
redIADS:getSAMSiteByGroupName('SAM-SA-10-MOZ'):addConnectionNode(connectionNode2):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DARK)
redIADS:getSAMSiteByGroupName('SAM-SA-6-BES'):addConnectionNode(connectionNode2):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DARK)


--first get the SAM site you want to use as point defence from the IADS:
local sa15KRAS = redIADS:getSAMSiteByGroupName('SAM-SA-15-KRAS')
local sa15ANAPA = redIADS:getSAMSiteByGroupName('SAM-SA-15-ANAPA')
local sa15NOVO = redIADS:getSAMSiteByGroupName('SAM-SA-15-NOVO')
local sa15GEL = redIADS:getSAMSiteByGroupName('SAM-SA-15-GEL')
local sa15MAY = redIADS:getSAMSiteByGroupName('SAM-SA-15-MAY')
local sa15SOCH = redIADS:getSAMSiteByGroupName('SAM-SA-15-SOCH')
local sa15MINE = redIADS:getSAMSiteByGroupName('SAM-SA-15-MINE-2')
local sa15NAL = redIADS:getSAMSiteByGroupName('SAM-SA-15-NAL')
local sa15MOZ = redIADS:getSAMSiteByGroupName('SAM-SA-15-MOZ')
local sa15BES = redIADS:getSAMSiteByGroupName('SAM-SA-15-BES')


--then add it to the SAM site it should protect:
redIADS:getSAMSiteByGroupName('SAM-SA-10-KRAS-1'):addPointDefence(sa15KRAS)
redIADS:getSAMSiteByGroupName('SAM-SA-10-ANAPA'):addPointDefence(sa15ANAPA)
redIADS:getSAMSiteByGroupName('SAM-SA-10-NOVO'):addPointDefence(sa15NOVO)
redIADS:getSAMSiteByGroupName('SAM-SA-10-GEL'):addPointDefence(sa15GEL)
redIADS:getSAMSiteByGroupName('SAM-SA-10-MAY'):addPointDefence(sa15MAY)
redIADS:getSAMSiteByGroupName('SAM-SA-10-SOCH'):addPointDefence(sa15SOCH)
redIADS:getSAMSiteByGroupName('SAM-SA-10-MINE-1'):addPointDefence(sa15MINE)
redIADS:getSAMSiteByGroupName('SAM-SA-10-MOZ'):addPointDefence(sa15MOZ)
redIADS:getSAMSiteByGroupName('SAM-SA-6-BES'):addPointDefence(sa15BES)

--Activate Skynet
redIADS:activate()
